/* -*- Mode: C; c-basic-offset: 2; indent-tabs-mode: nil -*-
 *
 * Pigment Render base library
 *
 * Copyright © 2006, 2007 Fluendo Embedded S.L. <www.fluendo.com>
 * All rights reserved.
 *
 * This file is available under one of two license agreements.
 *
 * This file is licensed under the GPL version 2. See "LICENSE.GPL" in
 * the root of this distribution including a special exception to use
 * Pigment with Fluendo's plugins.
 *
 * The GPL part of Pigment is also available under a commercial licensing
 * agreement from Fluendo. See "LICENSE.Pigment" in the root directory
 * of this distribution package for details on that license.
 */

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif /* HAVE_CONFIG_H */
#include <pygobject.h>

void pypgmrender_register_classes (PyObject *d); 
void pypgmrender_add_constants (PyObject *module, const gchar *strip_prefix);

extern PyMethodDef pypgmrender_functions[];

DL_EXPORT (void)
initpgmrender (void)
{
  PyObject *m, *d;

  m = Py_InitModule ("pgmrender", pypgmrender_functions);
  d = PyModule_GetDict (m);

  init_pygobject ();

  pypgmrender_register_classes (d);
  pypgmrender_add_constants (m, "PGM_RENDER_");

  PyModule_AddObject (m, "pypgmrender_version",
		      Py_BuildValue ("iii",
				     PGM_MAJOR_VERSION,
				     PGM_MINOR_VERSION,
				     PGM_MICRO_VERSION));

  if (PyErr_Occurred ())
    Py_FatalError ("Can't initialize module pgmrender.");
}
