/* -*- Mode: C; c-basic-offset: 2; indent-tabs-mode: nil -*-
 *
 * Pigment Render base library
 *
 * Copyright © 2006 Fluendo Embedded S.L. <www.fluendo.com>
 * All rights reserved.
 *
 * This file is available under one of two license agreements.
 *
 * This file is licensed under the GPL version 2. See "LICENSE.GPL" in
 * the root of this distribution including a special exception to use
 * Pigment with Fluendo's plugins.
 *
 * The GPL part of Pigment is also available under a commercial licensing
 * agreement from Fluendo. See "LICENSE.Pigment" in the root directory
 * of this distribution package for details on that license.
 */

/**
 * SECTION:pgmrendergradient-iface
 * @short_description: An interface for drawing gradients.
 *
 * #PgmRenderGradientIFace is an interface to add different gradient drawing
 * capabilities to an object.
 */

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif

#include "pgmrendergradient-iface.h"

static void pgm_render_gradient_iface_base_init (gpointer g_class);

static void
pgm_render_gradient_iface_base_init (gpointer g_class)
{
  static gboolean initialized = FALSE;

  if (! initialized)
    {
      initialized = TRUE;
    }
}

GType
pgm_render_gradient_iface_get_type (void)
{
  static GType type = 0;

  if (! type)
    {
      static const GTypeInfo info = {
	sizeof (PgmRenderGradientIFaceClass),
	pgm_render_gradient_iface_base_init, /* base init */
	NULL, /* base finalize */
	NULL, /* class_init */
	NULL, /* class finalize */
	NULL, /* class data */
	0,
	0,    /* n_preallocs */
	NULL, /* instance init */
      };
      type = g_type_register_static (G_TYPE_INTERFACE,
				     "PgmRenderGradientIFace", &info, 0);
      g_type_interface_add_prerequisite (type, G_TYPE_OBJECT);
    }

  return type;
}

/* /\** */
/*  * pgm_render_gradient_set_linear: */
/*  * @gradient: A #PgmRenderGradientIFace object. */
/*  * */
/*  * FIXME */
/*  * */
/*  * Returns: An error status. */
/*  *\/ */
/* PgmRenderError */
/* pgm_render_gradient_set_linear (PgmRenderGradientIFace *gradient) */
/* { */
/*   g_return_val_if_fail (PGM_RENDER_IS_GRADIENT_IFACE (gradient), */
/* 			PGM_RENDER_ERROR_X); */

/*   return PGM_RENDER_GRADIENT_IFACE_GET_CLASS (gradient)->set_linear (gradient); */
/* } */

/* /\** */
/*  * pgm_render_gradient_set_radial: */
/*  * @gradient: A #PgmRenderGradientIFace object. */
/*  * */
/*  * FIXME */
/*  * */
/*  * Returns: An error status. */
/*  *\/ */
/* PgmRenderError */
/* pgm_render_gradient_set_radial (PgmRenderGradientIFace *gradient) */
/* { */
/*   g_return_val_if_fail (PGM_RENDER_IS_GRADIENT_IFACE (gradient), */
/* 			PGM_RENDER_ERROR_X); */

/*   return PGM_RENDER_GRADIENT_IFACE_GET_CLASS */
/*     (gradient)->set_radial (gradient); */
/* } */

/* /\** */
/*  * pgm_render_gradient_set_color_stop: */
/*  * @gradient: A #PgmRenderGradientIFace object. */
/*  * */
/*  * FIXME */
/*  * */
/*  * Returns: An error status. */
/*  *\/ */
/* PgmRenderError */
/* pgm_render_gradient_set_color_stop (PgmRenderGradientIFace *gradient) */
/* { */
/*   g_return_val_if_fail (PGM_RENDER_IS_GRADIENT_IFACE (gradient), */
/* 			PGM_RENDER_ERROR_X); */

/*   return PGM_RENDER_GRADIENT_IFACE_GET_CLASS */
/*     (gradient)->set_color_stop (gradient); */
/* } */

/* /\** */
/*  * pgm_render_gradient_add_color_stops: */
/*  * @gradient: A #PgmRenderGradientIFace object. */
/*  * */
/*  * FIXME */
/*  * */
/*  * Returns: An error status. */
/*  *\/ */
/* PgmRenderError */
/* pgm_render_gradient_add_color_stops (PgmRenderGradientIFace *gradient) */
/* { */
/*   g_return_val_if_fail (PGM_RENDER_IS_GRADIENT_IFACE (gradient), */
/* 			PGM_RENDER_ERROR_X); */

/*   return PGM_RENDER_GRADIENT_IFACE_GET_CLASS */
/*     (gradient)->add_color_stops (gradient); */
/* } */

/* /\** */
/*  * pgm_render_gradient_get_color_stops: */
/*  * @gradient: A #PgmRenderGradientIFace object. */
/*  * */
/*  * FIXME */
/*  * */
/*  * Returns: An error status. */
/*  *\/ */
/* PgmRenderError */
/* pgm_render_gradient_get_color_stops (PgmRenderGradientIFace *gradient) */
/* { */
/*   g_return_val_if_fail (PGM_RENDER_IS_GRADIENT_IFACE (gradient), */
/* 			PGM_RENDER_ERROR_X); */

/*   return PGM_RENDER_GRADIENT_IFACE_GET_CLASS */
/*     (gradient)->get_color_stops (gradient); */
/* } */
